MIMEVIEW(1)

NAME
mimeview - display files, using mailcap mechanism.

SYNOPSIS
mimeview [OPTION...] FILE [FILE ...]

DESCRIPTION
GNU mimeview -- display files, using mailcap mechanism.

-a, --no-ask[=TYPE-LIST]
    do not ask for confirmation before displaying files, or, if TYPE-LIST is given, do not ask for confirmation before displaying such files whose MIME type matches one of the patterns from TYPE-LIST

-d, --debug[=FLAGS]
    enable debugging output

-f, --mimetypes=FILE
    use this mime.types file

-h, --no-interactive, --print
    disable interactive mode

-i, --[no-]identify
    identify MIME type of each file

--metamail[=FILE]
    use metamail to display files

-n, --[no-]dry-run
    do nothing, just print what would have been done

-t, --[no-]lint
    test mime.types syntax and exit

    Global debugging settings

--debug-level=LEVEL
    set Mailutils debugging level

--[no-]debug-line-info show source info with debugging messages

    Configuration handling

--config-file=FILE
    load this configuration file; implies --no-config

--config-lint
    check configuration file syntax and exit

--config-verbose
    verbosely log parsing of the configuration files

--no-config
    do not load site and user configuration files

--no-site-config
    do not load site-wide configuration file

--no-user-config
    do not load user configuration file

--set=PARAM=VALUE
    set configuration parameter

    Informational options

--config-help
    show configuration file summary

--show-config-options
    show compilation options

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Debug flags are: g - Mime.types parser traces l - Mime.types lexical analyzer traces 0-9 - Set debugging level

REPORTING BUGS
Report bugs to <bug-mailutils@gnu.org>.
GNU Mailutils home page: <http://mailutils.org>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2007-2025 Free Software Foundation, inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The complete GNU mailutils documentation is maintained as a Texinfo manual. If the mailutils-doc package is installed, the command

    info mailutils

should give you access to the complete manual.
You can also find this manual online in the GNU mailutils webpage:
https://www.gnu.org/software/mailutils/manual/index.html.
Please note this manpage was automatically generated by the Debian mailutils packagers. Do not file bugs for its content to the GNU Mailutils upstream authors.